package net.wanji.opt.dao.mapper.strategy;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import net.wanji.opt.entity.strategy.StrategyPriorityDailyInfo;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface StrategyPriorityMapper extends BaseMapper<StrategyPriorityDailyInfo>{
	
	 /**
	  *  查询表t_strategy_priority_daily_info所有信息
	  */
	 List<StrategyPriorityDailyInfo> findAllStrategyPriorityDailyInfo();
	  
	 /**
	  *  根据主键id查询表t_strategy_priority_daily_info信息
	  *  @param id
	  */
	 StrategyPriorityDailyInfo findStrategyPriorityDailyInfoByid(@Param("id") Long id);

	/**
	*  根据条件查询表t_strategy_priority_daily_info信息
	*  @param strategyPriorityDailyInfo
	*/
	List<StrategyPriorityDailyInfo> findStrategyPriorityDailyInfoByCondition(StrategyPriorityDailyInfo strategyPriorityDailyInfo);

	 /**
	  *  根据主键id查询表t_strategy_priority_daily_info信息
	  *  @param id
	  */
	 Integer deleteStrategyPriorityDailyInfoByid(@Param("id") Long id);
	
	 /**
	  *  根据主键id更新表t_strategy_priority_daily_info信息
	  *  @param strategyPriorityDailyInfo
	  */
	 Integer updateStrategyPriorityDailyInfoByid(StrategyPriorityDailyInfo strategyPriorityDailyInfo);
	
	 /**
	  *  新增表t_strategy_priority_daily_info信息
	  *  @param strategyPriorityDailyInfo
	  */
	 Integer addStrategyPriorityDailyInfo(StrategyPriorityDailyInfo strategyPriorityDailyInfo);


	List<StrategyPriorityDailyInfo> pageStrategyCrossList();
}

