package net.wanji.opt.servicev2.syslog.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.dao.mapper.syslog.SysLogMapper;
import net.wanji.opt.entity.judgeanalysis.AnalysisProblemCrossDay;
import net.wanji.opt.entity.syslog.SysOptimizeLog;
import net.wanji.opt.servicev2.syslog.SysLogServer;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 系统日志
 * </p>
 *
 * @author huangwm
 * @since 2025-03-26
 */
@Service
public class SysLogServerImpl extends ServiceImpl<SysLogMapper, SysOptimizeLog> implements SysLogServer {
    @Resource
    private SysLogMapper sysLogMapper;

    @Override
    public List<SysOptimizeLog> findSysOptimizeLog(String crossId,String startTime,String endTime) {

        return sysLogMapper.findSysOptimizeLog(crossId,startTime,endTime);
    }
}
